## org.apache.tools.ant.taskdefs
Class Replace.NestedString

    java.lang.Object
      org.apache.tools.ant.taskdefs.Replace.NestedString

Enclosing class:
  Replace

    public class Replace.NestedString

extends java.lang.Object

An inline string to use as the replacement text.

Constructor Summary
`Replace.NestedString()`

Method Summary
`void` `addText(java.lang.String val)` The text of the element.
`java.lang.String` `getText()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Replace.NestedString

    public Replace.NestedString()

Method Detail

### addText

    public void addText(java.lang.String val)

  The text of the element.

  Parameters:
    `val` - the string to add

### getText

    public java.lang.String getText()

  Returns:
    the text